/* $Id: RWToolbar.java 1037 2015-11-22 16:14:51Z shayashi $ */
/*
 * 作成日: 2006/06/10
 *
 */
package smart_gs.reasoning_web.swingui;

import javax.swing.JButton;

import javax.swing.JToolBar;

import reasoning_web.logical.inter_face.RWElement;
import smart_gs.reasoning_web.logical.GS_RWRepository;

import smart_gs.reasoning_web.swingui.action.CreateDocumentAction;

/**
 * @author kazuaki kobayashi
 *
 * 
*/
@SuppressWarnings("serial")

public class RWToolbar extends JToolBar {
	

	private JButton showButton;
	private JButton tagAnalysisButton;
	private JButton desktopButton;
	private JButton sortUnarrangedItemsButton;
	//
//	private JButton createDocumentButton;
	//
	public RWToolbar(){

		// 6/11 Kazuhiro Kobayashi
		//createDocumentButtonのコメントをはずす。
//		this.createDocumentButton = new JButton("create standard text");
//		this.createDocumentButton.addActionListener(new CreateDocumentAction());
		//
	
		
		
//		this.showButton = new JButton("Element View");
//		this.showButton.addActionListener(new ShowSelectedElementAction());
		
		this.desktopButton = new JButton("Desktop View");
		this.desktopButton.addActionListener(new ShowDesktopAction());
		
		this.sortUnarrangedItemsButton = new JButton("Sort Unarranged");
		this.sortUnarrangedItemsButton.addActionListener(new SortUnarrangedAction());
		
		//
//		this.add(this.createDocumentButton);
		//
//		this.add(this.showButton);
		//20080622 shimizu wrote;
		//this.add(this.tagAnalysisButton);
		
		this.addSeparator();
		
		this.add(this.desktopButton);
		this.add(this.sortUnarrangedItemsButton);
		
		
	}
}
